LibreOffice LibreOffice 4.3 SDK C/C++ API Reference

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Public Member Functions | Public Attributes | List of all members
cppu::ContextEntry_Init Struct Reference

Context entries init struct calling createComponentContext(). More...

`#include <component_context.hxx>`

## Public Member Functions
| ContextEntry_Init () SAL_THROW(())
| Default ctor. More...
| ContextEntry_Init (::rtl::OUString const &name_,::com::sun::star::uno::Any const &value_, bool bLateInitService_=false) SAL_THROW(())
| Ctor. More...

## Public Attributes
bool | bLateInitService
| late init denotes a object that will be raised when first get() is calling for it More...
::rtl::OUString | name
| name of context value More...
::com::sun::star::uno::Any | value
| context value More...

## Detailed Description

Context entries init struct calling createComponentContext().

## Constructor & Destructor Documentation

cppu::ContextEntry_Init::ContextEntry_Init | ( |  | ) |
| inline

Default ctor.

cppu::ContextEntry_Init::ContextEntry_Init | ( | ::rtl::OUString const & | name_,
|  | ::com::sun::star::uno::Any const & | value_,
|  | bool | bLateInitService_ = `false`
| ) |  |
| inline

Ctor.

Parameters

  name_ | name of entry
  value_ | value of entry
  bLateInitService_ | whether this entry is a late-init named object entry (value is object factory or service string)

## Member Data Documentation

bool cppu::ContextEntry_Init::bLateInitService

late init denotes a object that will be raised when first get() is calling for it

The context implementation expects either a com::sun::star::lang::XSingleComponentFactory object as value (to instanciate the object) or a string as value for raising a service via the used service manager.

::rtl::OUString cppu::ContextEntry_Init::name

name of context value

::com::sun::star::uno::Any cppu::ContextEntry_Init::value

context value

The documentation for this struct was generated from the following file:

- cppuhelper/component_context.hxx